<template>



  <div>

<ModalPopup @closeModal="modal=false" v-bind:oneroom="oneroom" :roomNumber="roomNumber" :modal="modal"></ModalPopup>
  <!-- 혹은 v-bind는 축약 가능-->
    <div class="menu">
      <a v-for="(a,i) in 메뉴들" :key="i">{{ a }}</a>
    </div>
<DiscountBanner></DiscountBanner>
<!-- <CardList :oneroom="oneroom"></CardList> -->

<!-- 이벤트 버블링 찾아보기 -->
<!-- <CardList @click="modal = true" :oneroom="oneroom[i]" v-for="(a,i) in oneroom" :key="i"></CardList> -->
<CardList @openModal="modal= true; roomNumber=$event" :oneroom="oneroom[i]" v-for="(a,i) in oneroom" :key="i"></CardList>
<!-- $event에 변수 저장됨 emit으로보낸거, 사실 i써또됨 -->
<!--규칙 파악후 반복문 사용해보기 -->
<!-- <CardList :oneroom="oneroom[0]"></CardList>
<CardList :oneroom="oneroom[1]"></CardList>
<CardList :oneroom="oneroom[2]"></CardList>
<CardList :oneroom="oneroom[3]"></CardList>
<CardList :oneroom="oneroom[4]"></CardList>
<CardList :oneroom="oneroom[5]"></CardList> -->







 
    <!-- <div v-for="(a,i) in products" :key="i">
      <img :src="oneroom[i].image" class="room-img">
      <h4 @click="modal = true">{{ oneroom[i].title}}</h4>
      <p>{{oneroom[i].price }}원</p>
    </div> -->

  
</div>
</template>

<script>

import data from './assets/data'
import DiscountBanner from './DiscountBanner.vue'
import ModalPopup from './ModalPopup.vue'
import CardList from './CardList.vue'
// import {} from ~

export default {
  name: 'App',
  data(){
    return{
      modal : false, // 닫힌 상태와, 열린상태 2가지 표현 0과1로 혹은 true,false
      alert:[0,0,0],
      price1 : 60,
      price2 : 70,
      price3:80,
      prices:[60,70,80],
      스타일 : 'color:blue',
      products: ["은평구원룸",'천호동원룸','마포구원룸'],
      메뉴들 : ["Home","Shop","About"],
      images:["room0.jpg","room1.jpg","room2.jpg"],
      oneroom:data,
      roomNumber:0,
      //import 해온것
      objectA:{}
      


    }
  },
  methods:{
    // 함수 만드는 공간
    increase(i){
      this.alert[i]+=1;
    }

  },
  components: {
    DiscountBanner:DiscountBanner,
    ModalPopup:ModalPopup,
    CardList:CardList,
    // 똑같으면 하나로 축약가능 DiscountBanner하나로
  }
}
</script>

<style>
body{
  margin:0;
}
/* 여기부터 modal */
div{
  box-sizing: border-box;
}

.discount{
  background: #eee;
  padding:10px;
  margin:10px;
  border-radius: 5px;
}
.black-bg{
  width: 100%; height: 100%;
  background: rgba(0,0,0,0.5);
  position: fixed; padding: 20px;
}
.white-bg{
  widows: 100%; background: white;
  border-radius: 8px;
  padding:20px;
}
.room-img{
  width:100%;
  margin-top:40px;
}
/* modal끝 */

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

.menu{
  background: darkslateblue;
  padding:15px;
  border-radius: 5px;
}
.menu a{
  color:white;
  padding:10px;
}
</style>
